Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1902285

Summary: python-hypothesis fails to build with Python 3.10: test failures [built without tests]
Product: [Fedora] Fedora Reporter: Tomáš Hrnčiar <thrnciar>
Component: python-hypothesisAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: igor.raits, mhroncok, michel, pingou, python-sig, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-hypothesis-6.14.3-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-22 20:00:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1890881    

Description Tomáš Hrnčiar 2020-11-27 15:35:34 UTC
python-hypothesis fails to build with Python 3.10.0a2.

=================================== FAILURES ===================================
_______________________ test_given_edits_annotations[2] ________________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_annotations.py", line 118, in test_given_edits_annotations
    assert spec_given.annotations.pop("return") is None
AssertionError: assert <class 'NoneType'> is None
 +  where <class 'NoneType'> = <built-in method pop of dict object at 0x7ff684163ec0>('return')
 +    where <built-in method pop of dict object at 0x7ff684163ec0> = {'draw': <class 'NoneType'>}.pop
 +      where {'draw': <class 'NoneType'>} = FullArgSpec(args=['draw'], varargs=None, varkw=None, defaults=None, kwonlyargs=[], kwonlydefaults=None, annotations={'draw': <class 'NoneType'>}).annotations
_______________________ test_given_edits_annotations[1] ________________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_annotations.py", line 118, in test_given_edits_annotations
    assert spec_given.annotations.pop("return") is None
AssertionError: assert <class 'NoneType'> is None
 +  where <class 'NoneType'> = <built-in method pop of dict object at 0x7f0d20e22180>('return')
 +    where <built-in method pop of dict object at 0x7f0d20e22180> = {'draw': <class 'NoneType'>, 'strat': <class 'bool'>}.pop
 +      where {'draw': <class 'NoneType'>, 'strat': <class 'bool'>} = FullArgSpec(args=['draw', 'strat'], varargs=None, varkw=None, defaults=None, kwonlyargs=[], kwonlydefaults=None, annotations={'draw': <class 'NoneType'>, 'strat': <class 'bool'>}).annotations
_______________________ test_given_edits_annotations[3] ________________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_annotations.py", line 118, in test_given_edits_annotations
    assert spec_given.annotations.pop("return") is None
AssertionError: assert <class 'NoneType'> is None
 +  where <class 'NoneType'> = <built-in method pop of dict object at 0x7f0d1ec756c0>('return')
 +    where <built-in method pop of dict object at 0x7f0d1ec756c0> = {}.pop
 +      where {} = FullArgSpec(args=[], varargs=None, varkw=None, defaults=None, kwonlyargs=[], kwonlydefaults=None, annotations={}).annotations
_________________________ test_same_typevars_same_type _________________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup.py", line 334, in test_same_typevars_same_type
    def test_same_typevars_same_type(data):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1162, in wrapped_test
    raise the_error_hypothesis_found
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1131, in wrapped_test
    state.run_engine()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 750, in run_engine
    runner.run()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 497, in run
    self._run()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 899, in _run
    self.generate_new_examples()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 631, in generate_new_examples
    zero_data = self.cached_test_function(bytes(BUFFER_SIZE))
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 1078, in cached_test_function
    self.test_function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 218, in test_function
    self.__stoppable_test_function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 194, in __stoppable_test_function
    self._test_function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 703, in _execute_once_for_engine
    escalate_hypothesis_internal_error()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 674, in _execute_once_for_engine
    result = self.execute_once(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 629, in execute_once
    result = self.test_runner(data, run)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/executors.py", line 52, in default_new_style_executor
    return function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 625, in run
    return test(*args, **kwargs)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup.py", line 334, in test_same_typevars_same_type
    def test_same_typevars_same_type(data):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 548, in test
    result = self.test(*args, **kwargs)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup.py", line 341, in test_same_typevars_same_type
    data.draw(st.builds(same_type_args))
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 2052, in draw
    result = self.conjecture_data.draw(strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 887, in draw
    return strategy.do_draw(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 150, in do_draw
    return data.draw(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 883, in draw
    return strategy.do_draw(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 650, in do_draw
    result = self.pack(data.draw(self.mapped_strategy))
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1318, in <lambda>
    lambda value: target(*value[0], **value[1])  # type: ignore
TypeError: test_same_typevars_same_type.<locals>.same_type_args() missing 2 required positional arguments: 'a' and 'b'
---------------------------------- Hypothesis ----------------------------------
You can add @seed(217060432935690114250803687532064731342) to this test or run pytest with --hypothesis-seed=217060432935690114250803687532064731342 to reproduce this failure.
_______________ test_compat_get_type_hints_aware_of_None_default _______________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup.py", line 745, in test_compat_get_type_hints_aware_of_None_default
    assert inspect.signature(constructor).parameters["a"].annotation == str
AssertionError: assert typing.Optional[str] == <class 'str'>
  +typing.Optional[str]
  -<class 'str'>
____________________________ test_simple_typeddict _____________________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup_py38.py", line 57, in test_simple_typeddict
    def test_simple_typeddict(value):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1021, in wrapped_test
    processed_args = process_arguments_to_given(
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 439, in process_arguments_to_given
    search_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 378, in validate
    self.is_empty
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 125, in accept
    recur(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 252, in calc_is_empty
    return recur(self.fixed)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 221, in calc_is_empty
    return recur(self.mapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in calc_is_empty
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in <genexpr>
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 86, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 80, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 43, in wrapped_strategy
    result = self.__definition()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1400, in <lambda>
    lambda thing: deferred(lambda: _from_type(thing)),
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1496, in _from_type
    return types.from_typing_type(thing)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/types.py", line 258, in from_typing_type
    raise ResolutionFailed(
hypothesis.errors.ResolutionFailed: Could not resolve ForwardRef('int') to a strategy; consider using register_type_strategy
_________________________ test_typeddict_with_optional _________________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup_py38.py", line 69, in test_typeddict_with_optional
    def test_typeddict_with_optional(value):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1021, in wrapped_test
    processed_args = process_arguments_to_given(
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 439, in process_arguments_to_given
    search_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 378, in validate
    self.is_empty
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 125, in accept
    recur(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 252, in calc_is_empty
    return recur(self.fixed)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 221, in calc_is_empty
    return recur(self.mapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in calc_is_empty
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in <genexpr>
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 86, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 80, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 43, in wrapped_strategy
    result = self.__definition()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1400, in <lambda>
    lambda thing: deferred(lambda: _from_type(thing)),
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1496, in _from_type
    return types.from_typing_type(thing)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/types.py", line 258, in from_typing_type
    raise ResolutionFailed(
hypothesis.errors.ResolutionFailed: Could not resolve ForwardRef('int') to a strategy; consider using register_type_strategy
_______________ test_typeddict_with_optional_then_required_again _______________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/cover/test_lookup_py38.py", line 90, in test_typeddict_with_optional_then_required_again
    def test_typeddict_with_optional_then_required_again(value):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1021, in wrapped_test
    processed_args = process_arguments_to_given(
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 439, in process_arguments_to_given
    search_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 378, in validate
    self.is_empty
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 125, in accept
    recur(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 252, in calc_is_empty
    return recur(self.fixed)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 221, in calc_is_empty
    return recur(self.mapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in calc_is_empty
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in <genexpr>
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 86, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 80, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 43, in wrapped_strategy
    result = self.__definition()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1400, in <lambda>
    lambda thing: deferred(lambda: _from_type(thing)),
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1496, in _from_type
    return types.from_typing_type(thing)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/types.py", line 258, in from_typing_type
    raise ResolutionFailed(
hypothesis.errors.ResolutionFailed: Could not resolve ForwardRef('int') to a strategy; consider using register_type_strategy
________________ test_ghostwriter_example_outputs[base64_magic] ________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/ghostwriter/test_expected_output.py", line 108, in test_ghostwriter_example_outputs
    assert actual == expected  # We got the expected source code
AssertionError: assert '# This test ...(s, value1)\n' == '# This test ...(s, value1)\n'
    # This test code was written by the `hypothesis.extra.ghostwriter` module
    # and is provided under the Creative Commons Zero public domain dedication.
    
    import base64
    from hypothesis import given, strategies as st
    
    # TODO: replace st.nothing() with appropriate strategies...
  
  ...Full output truncated (82 lines hidden), use '-vv' to show
____________________ test_build_with_non_types_in_signature ____________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/nocover/test_build_signature.py", line 94, in test_build_with_non_types_in_signature
    def test_build_with_non_types_in_signature(val):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1162, in wrapped_test
    raise the_error_hypothesis_found
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/nocover/test_build_signature.py", line 89, in __init__
    assert set(kwargs) == {"testX"}
AssertionError: assert set() == {'testX'}
  Extra items in the right set:
  'testX'
  Full diff:
  - {'testX'}
  + set()
____________________________ test_simple_typeddict _____________________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-5.41.3/hypothesis-python/tests/typing_extensions/test_backported_types.py", line 54, in test_simple_typeddict
    def test_simple_typeddict(value):
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 1021, in wrapped_test
    processed_args = process_arguments_to_given(
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/core.py", line 439, in process_arguments_to_given
    search_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 638, in do_validate
    self.mapped_strategy.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 39, in do_validate
    s.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 377, in validate
    self.do_validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 118, in do_validate
    w.validate()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 378, in validate
    self.is_empty
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 125, in accept
    recur(self)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 252, in calc_is_empty
    return recur(self.fixed)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 221, in calc_is_empty
    return recur(self.mapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in calc_is_empty
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/collections.py", line 60, in <genexpr>
    return any(recur(e) for e in self.element_strategies)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/lazy.py", line 86, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/strategies.py", line 121, in recur
    mapping[strat] = getattr(strat, calculation)(recur)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 80, in calc_is_empty
    return recur(self.wrapped_strategy)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/deferred.py", line 43, in wrapped_strategy
    result = self.__definition()
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1400, in <lambda>
    lambda thing: deferred(lambda: _from_type(thing)),
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/core.py", line 1496, in _from_type
    return types.from_typing_type(thing)
  File "/builddir/build/BUILDROOT/python-hypothesis-5.41.3-1.fc34.x86_64/usr/lib/python3.10/site-packages/hypothesis/strategies/_internal/types.py", line 258, in from_typing_type
    raise ResolutionFailed(
hypothesis.errors.ResolutionFailed: Could not resolve ForwardRef('int') to a strategy; consider using register_type_strategy
============================= slowest 20 durations =============================
43.09s call     hypothesis-python/tests/nocover/test_database_usage.py::test_trashes_invalid_examples
40.74s call     hypothesis-python/tests/nocover/test_imports.py::test_can_star_import_from_hypothesis
38.80s call     hypothesis-python/tests/cover/test_targeting.py::test_targeting_can_be_disabled
36.60s call     hypothesis-python/tests/cover/test_stateful.py::test_bad_machines_fail[CanSwarm]
31.99s call     hypothesis-python/tests/nocover/test_strategy_state.py::TestHypothesis::runTest
30.85s call     hypothesis-python/tests/quality/test_float_shrinking.py::test_shrinks_downwards_to_integers_when_fractional
25.40s call     hypothesis-python/tests/nocover/test_pretty_repr.py::test_repr_evals_to_thing_with_same_repr
22.36s call     hypothesis-python/tests/cover/test_targeting.py::test_targeting_with_following_empty
21.43s call     hypothesis-python/tests/quality/test_float_shrinking.py::test_shrinks_downwards_to_integers
20.92s call     hypothesis-python/tests/quality/test_discovery_ability.py::test_can_produce_multi_line_strings
18.92s call     hypothesis-python/tests/cover/test_statistical_events.py::test_stateful_with_one_of_bundles_states_are_deduped
18.80s call     hypothesis-python/tests/nocover/test_targeting.py::test_targeting_increases_max_length
17.61s call     hypothesis-python/tests/lark/test_grammar.py::test_can_specify_start_rule[dict-dict]
17.48s call     hypothesis-python/tests/cover/test_searchstrategy.py::test_example_raises_unsatisfiable_when_too_filtered
15.95s call     hypothesis-python/tests/quality/test_shrink_quality.py::test_minimize_multiple_elements_in_silly_large_int_range_min_is_not_dupe
14.95s call     hypothesis-python/tests/quality/test_shrink_quality.py::test_minimize_multiple_elements_in_silly_large_int_range
13.29s call     hypothesis-python/tests/quality/test_discovery_ability.py::test_long_duplicates_strings
13.09s call     hypothesis-python/tests/lark/test_grammar.py::test_can_specify_start_rule[list-list]
12.87s call     hypothesis-python/tests/numpy/test_from_dtype.py::test_strategies_for_standard_dtypes_have_reusable_values
12.61s call     hypothesis-python/tests/quality/test_discovery_ability.py::test_sampled_from_large_number_can_mix
=========================== short test summary info ============================
FAILED tests/cover/test_annotations.py::test_given_edits_annotations[2] - Ass...
FAILED tests/cover/test_annotations.py::test_given_edits_annotations[1] - Ass...
FAILED tests/cover/test_annotations.py::test_given_edits_annotations[3] - Ass...
FAILED tests/cover/test_lookup.py::test_same_typevars_same_type - TypeError: ...
FAILED tests/cover/test_lookup.py::test_compat_get_type_hints_aware_of_None_default
FAILED tests/cover/test_lookup_py38.py::test_simple_typeddict - hypothesis.er...
FAILED tests/cover/test_lookup_py38.py::test_typeddict_with_optional - hypoth...
FAILED tests/cover/test_lookup_py38.py::test_typeddict_with_optional_then_required_again
FAILED tests/ghostwriter/test_expected_output.py::test_ghostwriter_example_outputs[base64_magic]
FAILED tests/nocover/test_build_signature.py::test_build_with_non_types_in_signature
FAILED tests/typing_extensions/test_backported_types.py::test_simple_typeddict
= 11 failed, 4018 passed, 4 skipped, 4 xfailed, 1 xpassed in 1271.13s (0:21:11) =
error: Bad exit status from /var/tmp/rpm-tmp.jutV9v (%check)
    Bad exit status from /var/tmp/rpm-tmp.jutV9v (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01796738-python-hypothesis/

For all our attempts to build python-hypothesis with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-hypothesis/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2021-02-09 15:28:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Miro Hrončok 2021-06-04 20:15:02 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 3 Miro Hrončok 2021-06-07 22:59:32 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 4 Tomáš Hrnčiar 2021-06-09 05:18:09 UTC
Current failures with Python 3.10.0b2

==================================== ERRORS ====================================
_ ERROR collecting hypothesis-python/tests/typing_extensions/test_backported_types.py _
ImportError while importing test module '/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/typing_extensions/test_backported_types.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/typing_extensions/test_backported_types.py:20: in <module>
    from typing_extensions import DefaultDict, Literal, NewType, Type, TypedDict
E   ModuleNotFoundError: No module named 'typing_extensions'
=================================== FAILURES ===================================
______________________ test_recursion_error_is_not_flaky _______________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 161, in recur
    if i >= 1:
RecursionError: maximum recursion depth exceeded in comparison

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
RecursionError: maximum recursion depth exceeded

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
RecursionError: maximum recursion depth exceeded while calling a Python object

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
RecursionError: maximum recursion depth exceeded

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
  File "/usr/lib64/python3.10/enum.py", line 141, in __get__
    return ownerclass._member_map_[self.name]
RecursionError: maximum recursion depth exceeded while calling a Python object

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1052, in conclude_test
    self.freeze()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 972, in freeze
    self.stop_example()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 914, in stop_example
    assert self.depth >= -1
RecursionError: maximum recursion depth exceeded in comparison

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1052, in conclude_test
    self.freeze()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 980, in freeze
    self.observer.conclude_test(self.status, self.interesting_origin)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/datatree.py", line 393, in conclude_test
    if status == Status.OVERRUN:
RecursionError: maximum recursion depth exceeded

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 173, in test_recursion_error_is_not_flaky
    runner.run()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 495, in run
    self._run()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 897, in _run
    self.generate_new_examples()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 701, in generate_new_examples
    minimal_example = self.cached_test_function(
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 1076, in cached_test_function
    self.test_function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 218, in test_function
    self.__stoppable_test_function(data)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/engine.py", line 194, in __stoppable_test_function
    self._test_function(data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 170, in tf
    recur(i, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 162, in recur
    recur(i - 1, data)
  [Previous line repeated 982 more times]
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/conjecture/test_engine.py", line 164, in recur
    data.mark_interesting()
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1056, in mark_interesting
    self.conclude_test(Status.INTERESTING, interesting_origin)
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 1049, in conclude_test
    self.__assert_not_frozen("conclude_test")
  File "/builddir/build/BUILDROOT/python-hypothesis-6.6.0-4.fc35.x86_64/usr/lib/python3.10/site-packages/hypothesis/internal/conjecture/data.py", line 845, in __assert_not_frozen
    raise Frozen(f"Cannot call {name} on frozen ConjectureData")
hypothesis.errors.Frozen: Cannot call conclude_test on frozen ConjectureData
_______________________ test_pprint_heap_allocated_type ________________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/cover/test_pretty.py", line 276, in test_pprint_heap_allocated_type
    output = pretty.pretty(xxlimited.Null)
AttributeError: module 'xxlimited' has no attribute 'Null'
________________ test_ghostwriter_example_outputs[base64_magic] ________________
[gw1] linux -- Python 3.10.0 /usr/bin/python3
Traceback (most recent call last):
  File "/builddir/build/BUILD/hypothesis-hypothesis-python-6.6.0/hypothesis-python/tests/ghostwriter/test_expected_output.py", line 115, in test_ghostwriter_example_outputs
    assert actual == expected  # We got the expected source code
AssertionError: assert '# This test ...(s, value1)\n' == '# This test ...(s, value1)\n'
    # This test code was written by the `hypothesis.extra.ghostwriter` module
    # and is provided under the Creative Commons Zero public domain dedication.
    
    import base64
    from hypothesis import given, strategies as st
    
    # TODO: replace st.nothing() with appropriate strategies...
  
  ...Full output truncated (82 lines hidden), use '-vv' to show

Comment 5 Miro Hrončok 2021-07-19 11:05:36 UTC
Two remaining failures with hypothesis 6.14.3:

https://github.com/HypothesisWorks/hypothesis/issues/3035
https://github.com/HypothesisWorks/hypothesis/issues/3036

I'll skip them, now when they are reported to upstream.

Comment 7 Fedora Update System 2021-07-22 19:58:44 UTC
FEDORA-2021-b176b7cec2 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b176b7cec2

Comment 8 Fedora Update System 2021-07-22 20:00:38 UTC
FEDORA-2021-b176b7cec2 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.